Sort city list

--days works gives a list from jan-1 to dec-31 in the specified
year, or the current year if none set. The rest of the date information
is ignored. To get the days for a specific year you can do, for example,

solunar --days --datetime 1#2013

Note all dates and times, both specified and output, are local to the home
locale, or the city specified by --city, unless --utc is given. The --utc
switch affects both input and output. All dates entered and output will
(or at least should) take DST into account where the zone uses it. No
DST information is used when --utc is set.

If not time is set, assumes 2am. Technically the day starts at midnight,
but using 2am makes it less likely that the user will be surprised by
DST changes putting giving results for the previous day
